<?PHP
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------------+
// | <G a n e s h a> - Free Web Based Training System                           |
// +----------------------------------------------------------------------------+
// | <G a n e s h a> - Plate-forme de téléformation gratuite et en open source  |
// +----------------------------------------------------------------------------|
// | Copyright (C) 2001-2003  Anéma Formation  <http://www.anema.fr/>           |
// +----------------------------------------------------------------------------+
// |           Developer : Georges CALDEIRA <gcaldeira@anemalab.org>            |
// +----------------------------------------------------------------------------+
// |              Infos on project <http://anemalab.org/>                       |
// +----------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by       |
// | the Free Software Foundation; either version 2 of the License, or          |
// | (at your option) any later version.                                        |
// |                                                                            |
// | This program is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of             |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              |
// | GNU General Public License for more details.                               |
// |                                                                            |
// | You should have received a copy of the GNU General Public License          |
// | along with this program; if not, write to the Free Software                |
// | Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA   |
// +----------------------------------------------------------------------------+

/**
* Gestion des stagaires
*
* @author		Georges Caldeira <gcaldeira@anemalab.org>
* @package		GaneshaInc
*/

	/**
	* Affiche le lien hypertexte pour la modification de la fiche
	* @access	public
	*/
	function ModifierFiche() {
	 global $ext, $connexion ;
	 global $st_titre ;
	    if ( OPT_FICHE_ACTIVE ) {
			$http  = HTTP_COMMUN.'p_fiche'.$ext.'?connexion='.$connexion	;
			$click = "onClick=\"openWindow('".$http."','fiche','scrollbars=yes,width=500,height=590')\" ";
			$status = Status($st_titre["modifiche"]);
			$class = 'class="student" href="#" ';
			$img = '<img src="'.HTTP_IMAGES.'profile.gif" border="0" alt="'.$st_titre["modifiche"].'">';
			put('<br><a '.$class.$click.$status.'>'.$img.'&nbsp;'.$st_titre["modifiche"].'</a>');
		}
	}

	/**
	* Affiche le lien hypertexte pour la page de changement de groupe
	* @access	public
	*/
	function ChangeGroupe() {
	 global $ext, $gconnexionid, $st_texte  ;
		$texte = $st_texte['changegrp'] ;
		$href = 'href="'.HTTP_COMMUN.'p_multigroupe'.$ext.'?connexion='.$gconnexionid.'"';
		$status = Status($texte);
		$img = '<img src="'.HTTP_IMAGES.'groupe.gif" border="0" alt="'.$texte.'">';
		put('<a '.$href.' class="student" target="_top" >'.$img.$texte.'</a>');
	}
	
/**
* modifications Eric Villard <evillard@nef.fr> 04/03/03
* routage pour l'affichage des rapports d'évaluations d'un stagiaire
*/
	/**
	* Affiche la page tableau de bord du stagiaire
	* @access	public
	*/
	function page_tdb_stagiaire() {
	 global $ext, $gfilecss, $color2, $color1, $groupe, $idconsult  ;
	 global $gconnexionid, $ext, $guserid, $menu;
	 global $st_menu, $st_titre, $ClsGroupe ;

		$tAuteur = array()		;
		$tTitreModules = array();
		// changement du %age de la largeur de cellule pour l'affichage du tableau 
		// de consultation des rapports d'évaluations annexes
		(isset($idconsult)) ? $width = 80: $width = 60;

		InitPageHtml()		;
		Title($st_menu['tdb']." [".CSS($ClsGroupe->Name($groupe))."]")	;
		put('	  <table cellSpacing="0" cellPadding="0" bgcolor="#FFFFFF" width="100%" border="0" >');
		put('	  <tr>')							;
		put('		<td width="20%" valign="top">')	;
			put(ChangeGroupe());
		ModifierFiche()	;
		ViewSkin()		;
		put('       </td>')	;
		put('       <td width="'.$width.'%" valign="top">')	;
		BR();
		
		// accueil tableau de bord
		if (!isset($idconsult) ) {
			BeginBorder("100%",$color2)	;
			put(' <table cellSpacing="0" bgcolor="#FFFFFF" cellPadding="5" width="100%" align="right" border="0">')	;
			put(' <tr><td>')	;
			ListFormation()		;
			BNOFormation()		;
			put('   </td></tr>');
			put(' <tr><td>')	;
			listeRapEval()		;
			put('&nbsp;</td></tr>');
			put(' <tr><td>')	;
			StatFormation()		;	
			put('  </td></tr>');
			put(' <tr><td>')	;
			InfoGroupe()		;
			put('  </td></tr>');
			put(' </table>')	;
			CloseBorder() 	;
			put('</td>')	;
			put('<td width="20%" valign="top" align="center">')	;
			BR()	;
			Calendrier()	;
			BR()			;
			News($groupe)	;
			
		// écran de consultation des rapports d'évaluations annexes
		} else {
			if ( OPT_BNO_ACTIVE ) {
				consulterRapport();
				$url  = HTTP_STAGIAIRE.'index'.$ext.'?connexion='.$gconnexionid.'&menu='.$menu;
				$over = 'onMouseOver="window.status=\''.$st_titre['retour'].'\';return true;" ';
				$out  = 'onMouseOut="window.status=\'Ganesha '.VERSION.'\';return true;"'			;
				$link = '<A class="student" target="_self" href="'.$url.'" '.$over.' '.$out.'> '.UnReplace($st_titre['retour']).'</A>';
				put('			<BR>');
				put('&nbsp;&nbsp;'.$link);
				put('			<BR>');
			}
		}
		put('       </td>')	;
		put('	  </tr>')	;
		put('	  <tr>')			;
		put('		<td>&nbsp;</td>')	;
		put('		<td>')			;
    	Footer()		;
    	put('       </td>')		;
		put('		<td>&nbsp;</td>')	;
		put('	  </tr>')	;
		put('	</table>')	;
		ClosePageHtml()	;
	}
/**
* fin modifications Eric Villard
*/


?>